package com.ruoyi.clock.exception;

import com.ruoyi.common.enums.IIntegerEnum;
import java.util.Objects;


/**
 * 异常枚举
 */
public enum EmployeeExceptionEnum implements IIntegerEnum {

    // TODO 注意检查错误码，保证系统内唯一
    EMPLOYEE_IS_NOT_EXISTS(200001, "店员信息不存在"),
    EMPLOYEE_PHONENUMBER_REPEAT(200002, "店员手机号不能重复"),

    ;

    private Integer code;

    private String msg;

    EmployeeExceptionEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    @Override
    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public static EmployeeExceptionEnum getByCode(int code, EmployeeExceptionEnum[] values) {
        for (EmployeeExceptionEnum value : values) {
            if (Objects.equals(code, value.getCode())) {
                return value;
            }
        }
        return null;
    }

}
